[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: X Strike Force XFree86 SVN commit: r2101 - in trunk/debian: . local



On Sun, Dec 19, 2004 at 11:01:50PM -0500, X Strike Force SVN Repository Admin wrote:
[...]
> Added: trunk/debian/local/lxterm
> ===================================================================
> --- trunk/debian/local/lxterm	2004-12-20 03:55:31 UTC (rev 2100)
> +++ trunk/debian/local/lxterm	2004-12-20 04:01:46 UTC (rev 2101)
> @@ -0,0 +1,30 @@
> +#!/bin/sh
> +
> +# $Id$
> +
> +PROGNAME=${0##*/}
> +
> +die () {
> +    echo "$PROGNAME: fatal error: $*" >&2
> +    exit 1
> +}
> +
> +if ! which locale >/dev/null 2>&1; then
> +    die "required program \"locale\" not available"
> +fi
> +
> +case "$(locale charmap)" in

Should be
  case "$(locale charmap 2>/dev/null)" in
in case locale is not correctly set.

Denis



Reply to: